/** \addtogroup config
 * @{
 */
/** \file appconfig.h Configuration module include file.
 * \author Lionel ULMER
 * \author Darryl Luff
 */
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 1998-2004  Lionel ULMER, Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __APPCONFIG_H__
#define __APPCONFIG_H__

int cfg_get_autosave(void);
void cfg_init(void);
void cfg_load_file(void);
int cfg_parse_cmdline(int argc, char *argv[]);
void cfg_save_bool(const char *key, int value);
void cfg_save_file(void);
void cfg_save_string(const char *key, const char *value);
void cfg_set_autosave(int as);
void cfg_set_current_dir(const char *dir);

/*@}*/
#endif
