/***************************************************************************
 *            browser.c
 *
 * Implements a service browser API.
 *
 *  Sun Mar  5 08:59:10 2006
 *  Copyright  2006  Darryl Luff
 *  Email darryl@snakegully.nu
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __BROWSER_H
#define __BROWSER_H

typedef struct _browse{
	char *url;
	char *display;
	struct _browse *next;
} BrowseEntry;

void browse_init(void);

void browse_refresh(void);

void browse_addItem(const char *url, const char *display);

BrowseEntry *browse_getlist(void);

void browse_clear(void);

#endif
