/** \file db_conn.h	Defines the database driver interface.
 * \author Lionel ULMER
 * \author Darryl Luff
 * \ingroup db	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL and MySQL
 * Copyright (C) 1998-2003  Lionel ULMER, Darryl Luff.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Generic database connection interface.
 *
 */

#ifndef __DB_CONN_H__
#define __DB_CONN_H__
#include "dbapi.h"

/** Types of keywords.	*/
//enum KeywordTypes {
//	KEYWORD_SQL	= 0,	/**< SQL keywords.	*/
//	KEYWORD_TABLE	= 1,	/**< Table names.	*/
//	KEYWORD_FIELD	= 2		/**< Field names.	*/
//};

/** Add a keyword to the connection.
 * \param conn	The connection.
 * \param key	The key string.
 * \param type	The key type.	*/
void add_keyword(DBConnection * conn, char *key, int type);

/** Find a connector for a specified database type.	*/
DBConnector *dbconnector_find(char *key);

/** Remove all keywords.	*/
void keywords_remove_all(DBConnection * conn);

/** Remove all keywords of the specified type.	*/
void keywords_remove(DBConnection * conn, int type);

#endif
