/** \addtogroup uigtk
 * @{
 */
/** \file gtk_config.h Configuration module for GTK ui.
 * \author Darryl Luff
 */
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 1998-2005  Lionel ULMER, Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __GTKCONFIG_H__
#define __GTKCONFIG_H__

/** Set the default configuration values.	*/
 void gtkcfg_clear(void);
void gtkcfg_config_value(const char *key, const char *val);
int gtkcfg_get_view_table_tree(void);
void gtkcfg_init(void);
void gtkcfg_dump_config(void);
int gtkcfg_get_browse_avahi(void);
const char *gtkcfg_get_query_field_colour(void);
const char *gtkcfg_get_query_font_name(void);
const char *gtkcfg_get_query_normal_colour(void);
const char *gtkcfg_get_query_sql_colour(void);
const char *gtkcfg_get_query_table_colour(void);
void gtkcfg_save_file(void);
void gtkcfg_set_view_table_tree(int i);
void gtkcfg_show_dialog(void);

/*@}*/
#endif
