/** \file gtk_widgets.h	Widget regerences.
 * \author Darryl Luff
 * \addtogroup uigtk	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 2003-2004 Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __GUI_WIDGETS_H
#define __GUI_WIDGETS_H

#include <gtk/gtk.h>

extern GtkWidget *aboutDlg;
extern GtkWidget *configDlg;
extern GtkWidget *connectorNotebook;
extern GtkWidget *exportDlg;
extern GtkWidget *exportDlgHtmlRadio;
extern GtkWidget *exportDlgHtmlRecordsPerPage;
extern GtkWidget *exportDlgTextRadio;
extern GtkWidget *exportDlgTextSeparator;
extern GtkWidget *mainWindow;
extern GtkWidget *menuEdit;
extern GtkWidget *mnuClear;
extern GtkWidget *mnuClose;
extern GtkWidget *mnuConnect;
extern GtkWidget *mnuCopy;
extern GtkWidget *mnuCut;
extern GtkWidget *mnuDisconnect;
extern GtkWidget *mnuExport;
extern GtkWidget *mnuClose;
extern GtkWidget *mnuNew;
extern GtkWidget *mnuOpen;
extern GtkWidget *mnuPaste;
extern GtkWidget *mnuPrintResults;
extern GtkWidget *mnuSaveAs;
extern GtkWidget *mnuScriptRun;
extern GtkWidget *mnuScriptSave;
extern GtkWidget *mnuScriptSaveAs;
extern GtkWidget *mnuSend;

extern GtkWidget *mnuViewRefresh;
extern GtkWidget *mnuViewToolbar;
extern GtkWidget *mnuViewTreeview;
extern GtkWidget *openFileDialog;

extern GtkWidget *queryNotebook;

extern GtkWidget *queryPopupClear;
extern GtkWidget *queryPopupClose;
extern GtkWidget *queryPopupSave;
extern GtkWidget *queryPopupSaveAs;
extern GtkWidget *queryPopupSend;
extern GtkWidget *querySaveDialog;
extern GtkWidget *querySavePromptDlg;

extern GtkWidget *resultPopup;
extern GtkWidget *resultPopupExport;
extern GtkWidget *resultPopupPrint;

extern GtkWidget *queryImportDlg;
extern GtkWidget *querySaveDlg;
extern GtkWidget *scriptOpenDlg;
extern GtkWidget *scriptSaveDlg;

extern GtkWidget *tablePopup;

extern GtkWidget *toolbarHandlebox;

extern GtkWidget *tbNewBtn;
extern GtkWidget *tbCloseBtn;
extern GtkWidget *tbConnectBtn;
extern GtkWidget *tbDisconnectBtn;
extern GtkWidget *tbExportBtn;
extern GtkWidget *tbLoadBtn;
extern GtkWidget *tbNewBtn;
extern GtkWidget *tbRefreshBtn;
extern GtkWidget *tbSaveAsBtn;
extern GtkWidget *tbSendBtn;
extern GtkWidget *toolbarHolder;
extern GtkWidget *treeScroller;
extern GtkWidget *treeView;
extern GtkWidget *treePopup;
extern GtkWidget *treePopupDelete;
extern GtkWidget *treePopupInsert;
extern GtkWidget *treePopupRefresh;
extern GtkWidget *treePopupSelect;
extern GtkWidget *treePopupUpdate;
//extern GtkWidget *txtExportPrettyPrint;
extern GtkWidget *txtExportSeparator;
//extern GtkWidget *htmlExportRecordsPerPage;

void loadWidgets(void);

#endif
