/***************************************************************************
 *            gtksql_query_scintilla.h
 *
 *  Fri Oct 15 14:57:46 2004
 *  Copyright  2004  User
 *  Email
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GTKSQL_QUERY_SCINTILLA_H
#define _GTKSQL_QUERY_SCINTILLA_H

#ifdef __cplusplus
extern "C"
{
#endif

#include <gtk/gtk.h>
#include "dbapi.h"

#include <Scintilla.h>
#include <SciLexer.h>
#define PLAT_GTK 1
#include <ScintillaWidget.h>

#define GTKSQL_QUERY_SCINTILLA_TYPE            (gtksql_query_scintilla_get_type ())
#define GTKSQL_QUERY_SCINTILLA(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTKSQL_QUERY_SCINTILLA_TYPE, GtksqlQueryScintilla))
#define GTKSQL_QUERY_SCINTILLA_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GTKSQL_QUERY_SCINTILLA_TYPE, GtksqlQueryScintillaClass))
#define IS_GTKSQL_QUERY_SCINTILLA(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTKSQL_QUERY_SCINTILLA_TYPE))
#define IS_GTKSQL_QUERY_SCINTILLA_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GTKSQL_QUERY_SCINTILLA_TYPE))
#define GTKSQL_QUERY_SCINTILLA_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GTKSQL_QUERY_SCINTILLA_TYPE, GtksqlQueryScintillaClass))

extern const GtkTargetEntry dragTargetsScintilla[];

/** Drag target count	*/
#define DRAG_TARGET_COUNT 2

typedef struct _GtksqlQueryScintilla       GtksqlQueryScintilla;
typedef struct _GtksqlQueryScintillaClass  GtksqlQueryScintillaClass;

struct _GtksqlQueryScintilla {
	GtkVBox vbox;
	gchar *query_name;
	GtkWidget *editor;
	ScintillaObject *sci;
	GtkWidget *vpane;
	GtkWidget *result_widget;	
	GtkWidget *progress_bar;
	GtkWidget *status_bar;
	int statusId;
	int queryInProgress;
	void *result;
	int minCharsCompletion;
};

struct _GtksqlQueryScintillaClass {
	GtkVBoxClass parent_class;
	//GtkTextTagTable *tagtable;
	int normalColour;
	int sqlColour;
	int tableColour;
	int fieldColour;
	gchar *fontName;
};

void gtksql_query_scintilla_class_set_field_colour(const gchar *cvalue);
void gtksql_query_scintilla_class_set_font_name(const gchar * fname);
void gtksql_query_scintilla_class_set_normal_colour(const gchar *cvalue);
void gtksql_query_scintilla_class_set_sql_colour(const gchar *cvalue);
void gtksql_query_scintilla_class_set_table_colour(const gchar *cvalue);
GType gtksql_query_scintilla_get_type (void);
GtkWidget *gtksql_query_scintilla_new(void);
void gtksql_query_query_scintilla_free(GtksqlQueryScintilla *query);
void gtksql_query_scintilla_append_text(GtksqlQueryScintilla *query, gchar *s);
void gtksql_query_scintilla_do_copy(GtkWidget *sci);
void gtksql_query_scintilla_do_cut(GtkWidget *sci);
void gtksql_query_scintilla_do_paste(GtkWidget *sc);
GtkTextBuffer *gtksql_query_scintilla_get_buffer(GtksqlQueryScintilla *query);
const gchar *gtksql_query_scintilla_get_name(GtksqlQueryScintilla *query);
void *gtksql_query_scintilla_get_result(GtksqlQueryScintilla *query);
const gchar *gtksql_query_scintilla_get_text(GtksqlQueryScintilla *query);
void gtksql_query_scintilla_progress_reset(GtksqlQueryScintilla *query);
void gtksql_query_scintilla_progress_update(GtksqlQueryScintilla *query, gfloat percentage);
void gtksql_query_scintilla_redo(GtksqlQueryScintilla * query);
void gtksql_query_scintilla_send(GtksqlQueryScintilla *query, DBConnection *conn);
void gtksql_query_scintilla_set_name (GtksqlQueryScintilla *ttt, const gchar *name);
void gtksql_query_scintilla_set_save_point(GtksqlQueryScintilla *query);
void gtksql_query_scintilla_set_styles(GtksqlQueryScintilla * query);
void gtksql_query_scintilla_set_text(GtksqlQueryScintilla *query, const gchar *txt);
void gtksql_query_scintilla_status_pop(GtksqlQueryScintilla *query);
void gtksql_query_scintilla_undo(GtksqlQueryScintilla * query);

#ifdef __cplusplus
}
#endif

#endif /* _GTKSQL_QUERY_SCINTILLA_H */
