/** \file gui_gtk.h Common GUI items.
 * \author Lionel ULMER
 * \author Darryl Luff
 * \addtogroup uigtk	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 1998-2004  Lionel ULMER, Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __GUI_GTK_H__
#define __GUI_GTK_H__

#include "../config.h"
#include <gtk/gtk.h>

#include "guiapi.h"

extern DBConnection *guiConnection;
extern int running;
extern int queryInProgress;

char *get_rcname(void);
GuiAPI *gtkgui_register(void);
void gtkgui_set_query_name(const char *name);
void gtkgui_show_table_treeview(gboolean show);
void update_ui(void);

#endif
