/** \addtogroup register Plugin Registry
 * This module implements a register of installed plugins. The plugins are
 * installed at compile time, they are not dynamically loaded.
 * @{
 */
/** \file register.h
 * \author Lionel ULMER
 * \author Darryl Luff	*/
/* $Id: register.h,v 1.9 2005/12/31 00:03:04 djluff Exp $
 * GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 1998-2005 Lionel ULMER, Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _REGISTER_H
#define _REGISTER_H

#include "dbapi.h"

//extern db_register_func registerDB[];

void registered_drivers_add(db_register_func driver);
int registered_drivers_count(void);
db_register_func registered_drivers_get_next(db_register_func last);
db_register_func registered_drivers_get_first(void);
void registered_drivers_init_static(void);

/*@}*/
#endif
