/** \addtogroup misc Miscellaneous files
 * @{
 */
/** \file utils.h	Utility routines.
 * \author Lionel ULMER
 * \author Darryl Luff	*/
/* GtkSQL -- an interactive graphical query tool for PostgreSQL
 * Copyright (C) 2002-2005 Darryl Luff
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __UTILS_H
#define __UTILS_H

//#include "../config.h"

#include <stdio.h>

#ifdef ENABLE_NLS
#undef gettext_noop
#include "gettext.h"
#undef _
#define _(text) dgettext (PACKAGE, text)
#else
#define _(text) text
#endif

const char *get_short_filename(const char *fn);
void unimp(const char *s);

/*@}*/
#endif
